package com.yihu.hos.system.service.intf;

import com.yihu.hos.services.IBaseManager;
import com.yihu.hos.system.model.SystemApp;
import com.yihu.hos.system.model.SystemServiceEndpoint;
import com.yihu.hos.web.framework.model.Result;

import java.util.Map;

/**
 * Created by chenweida on 2016/1/21.
 */
public interface IAppManager extends IBaseManager{
    Result getAppList(Map<String, Object> params) throws Exception;

    SystemApp getAppById(String id) throws Exception;

    Result addApp(SystemApp obj) throws Exception;

    Result updateApp(SystemApp obj) throws Exception;

    Result deleteApp(String id) throws Exception;


    /* =============服务管理模块================= */

    Result getAppServiceList(Map<String, Object> params) throws Exception;

    SystemServiceEndpoint getAppServiceById(String id) throws Exception;

    Result addAppService(SystemServiceEndpoint obj) throws Exception;

    Result updateAppService(SystemServiceEndpoint obj) throws Exception;

    Result deleteAppService(String id) throws Exception;

}
